Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.pc
Class PcExcStatus

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.sagadapter.jni.pc.PcExcStatus

All Implemented Interfaces:
  java.io.Serializable

    public class PcExcStatus

extends java.lang.Exception

ExcStatus represents an exception thrown from the JNI layer. Unlike the other JNI-wrapped classes, this class is simply a container for the data in the C++ equivalent ExcStatus class; it does NOT contain a pointer to the original C++ ExcStatus class. There were memory errors associated with instantiating and deleting that class. It is derived from sagcontroltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:41 $
Author:
  Harry Liu (harry.liu@sun.com)
See Also:
  Serialized Form

Constructor Summary
`PcExcStatus(long token, int severity, java.lang.String code, java.lang.String data, java.lang.String text, java.lang.String action)` Creates a new ExcStatus object

Method Summary
`java.lang.String` | `getAction()` Method getAction.
`java.lang.String` | `getCode()` Method getCode.
`java.lang.String` | `getData()` Method getData.
`java.lang.String` | `getMessage()` Concatenates all the various exception fields into a human-readable message
`int` | `getSeverity()` Method getSeverity.
`java.lang.String` | `getText()` Method getText.
`long` | `getToken()` Method getToken
`static void` | `throwit(long token, int severity, java.lang.String code, java.lang.String data, java.lang.String text, java.lang.String action)` Static method to create and throw an ExcStatus exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PcExcStatus

    public PcExcStatus(long token,
                       int severity,
                       java.lang.String code,
                       java.lang.String data,
                       java.lang.String text,
                       java.lang.String action)

  Creates a new ExcStatus object

  Parameters:
    `token` - the exception identifier
    `severity` - the exception severity
    `data` - exception data
    `text` - explanation of the error condition
    `action` - the action that caused the error

Method Detail

### throwit

    public static void throwit(long token,
                               int severity,
                               java.lang.String code,
                               java.lang.String data,
                               java.lang.String text,
                               java.lang.String action)
                        throws PcExcStatus

  Static method to create and throw an ExcStatus exception. This is generally used for testing purposes.

  Parameters:
    `token` - the exception identifier
    `severity` - the exception severity
    `data` - exception data
    `text` - explanation of the error condition
    `action` - the action that caused the error
  Throws:
    `PcExcStatus` - the error to be thrown

### getToken

    public long getToken()

  Method getToken

  Returns:
    long

### getSeverity

    public int getSeverity()

  Method getSeverity.

  Returns:
    int

### getCode

    public java.lang.String getCode()

  Method getCode.

  Returns:
    String

### getData

    public java.lang.String getData()

  Method getData.

  Returns:
    String

### getText

    public java.lang.String getText()

  Method getText.

  Returns:
    String

### getAction

    public java.lang.String getAction()

  Method getAction.

  Returns:
    String

### getMessage

    public java.lang.String getMessage()

  Concatenates all the various exception fields into a human-readable message

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.